Package org.eclipse.emf.compare.ide.ui.internal.logical

# Class EMFLogicalModelAdapterFactory

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.EMFLogicalModelAdapterFactory

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdapterFactory`

public class EMFLogicalModelAdapterFactory extends Object implements org.eclipse.core.runtime.IAdapterFactory
Provides adapters for the `EMFModelProvider`.

## Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IAdapterFactory

`SERVICE_PROPERTY_ADAPTABLE_CLASS, SERVICE_PROPERTY_ADAPTER_NAMES`

## Constructor Summary

Constructors
Constructor
Description
`EMFLogicalModelAdapterFactory()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getAdapter(Object adaptableObject, Class adapterType)`
`Class[]`
`getAdapterList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFLogicalModelAdapterFactory

public EMFLogicalModelAdapterFactory()

## Method Details

### getAdapter

public Object getAdapter(Object adaptableObject, Class adapterType)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`

### getAdapterList

public Class[] getAdapterList()

Specified by:
  `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`